OpenStack Compute (Nova)

sm volume driver: sm_backend_conf_update fails

Reported by Renuka Apte on 2012-01-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Renuka Apte

Bug Description

nova-volume ERROR log exception global name 'session' is not defined
(nova.volume.xensm): TRACE: Traceback (most recent call last):
(nova.volume.xensm): TRACE: File "/usr/lib/python2.6/site-packages/nova/volume/xensm.py", line 72, in _create_storage_repo
(nova.volume.xensm): TRACE: dict(sr_uuid=sr_uuid))
(nova.volume.xensm): TRACE: File "/usr/lib/python2.6/site-packages/nova/db/api.py", line 1670, in sm_backend_conf_update
(nova.volume.xensm): TRACE: return IMPL.sm_backend_conf_update(context, sm_backend_conf_id, values)
(nova.volume.xensm): TRACE: File "/usr/lib/python2.6/site-packages/nova/db/sqlalchemy/api.py", line 96, in wrapper
(nova.volume.xensm): TRACE: return f(*args, **kwargs)
(nova.volume.xensm): TRACE: File "/usr/lib/python2.6/site-packages/nova/db/sqlalchemy/api.py", line 3878, in sm_backend_conf_update
(nova.volume.xensm): TRACE: backend_conf.save(session=session)
(nova.volume.xensm): TRACE: NameError: global name 'session' is not defined
(nova.volume.xensm): TRACE:

Brian Waldon (bcwaldon) on 2012-01-27
Changed in nova:
status: New → Triaged
importance: Undecided → Low
assignee: nobody → Brian Waldon (bcwaldon)
milestone: none → essex-4

Fix proposed to branch: master
Review: https://review.openstack.org/3513

Changed in nova:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/3513
Committed: http://github.com/openstack/nova/commit/e7862ea2e437639fa521d534164ef4cc6c20c213
Submitter: Jenkins
Branch: master

commit e7862ea2e437639fa521d534164ef4cc6c20c213
Author: Brian Waldon <email address hidden>
Date: Fri Jan 27 09:38:46 2012 -0800

    Remove session arg from sm_backend_conf_update

    Fixes bug 915108

    Change-Id: Ic22bf5aa3d68ea59692ebe05d1b0b79757c70b52

Changed in nova:
status: In Progress → Fix Committed
Renuka Apte (renukaapte) on 2012-02-27
Changed in nova:
status: Fix Committed → In Progress
assignee: Brian Waldon (bcwaldon) → Renuka Apte (renukaapte)

Reviewed: https://review.openstack.org/4621
Committed: http://github.com/openstack/nova/commit/a8b1148a5424cc29269009460941386a68f2366f
Submitter: Jenkins
Branch: master

commit a8b1148a5424cc29269009460941386a68f2366f
Author: Renuka Apte <email address hidden>
Date: Wed Jan 11 17:10:24 2012 -0800

    sm vol driver: Fix regression in sm_backend_conf_update

    Fixes bug 915108

    Change-Id: Iffa9a1a51f6e9da0cba9fdae373135ea6a70990f

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/4750
Committed: http://github.com/openstack/nova/commit/e65045855920aeaa60032ea5f4e823a9a2e856a6
Submitter: Jenkins
Branch: milestone-proposed

commit e65045855920aeaa60032ea5f4e823a9a2e856a6
Author: Renuka Apte <email address hidden>
Date: Wed Jan 11 17:10:24 2012 -0800

    sm vol driver: Fix regression in sm_backend_conf_update

    Fixes bug 915108

    Change-Id: Iffa9a1a51f6e9da0cba9fdae373135ea6a70990f

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers